/services/operations/v1/admin/master-cards/update
Auth
Requires superadmin access.
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
id |
integer | Yes | 30 |
|
group_id |
integer|null | No | 16 |
|
title |
string|null
max: 255 |
No | Connect your custom domain |
|
description |
string|null | No | <p>Updated instructions for domain connection.</p> |
|
unique_identifier |
string|null
max: 100 |
No | connect_custom_domain |
|
evaluation_check |
string|null
max: 100 |
No | has_domain_connected |
|
tour_key |
string|null
max: 100 |
No | domain_setup_tour_v2 |
|
short_description |
string|null | No | Link your own domain name |
|
status |
string|null
open, in_progress, closed, to_check, blocked |
No | in_progress |
|
is_active |
boolean|null | No | true |
|
priority |
string|null
low, normal, high, urgent |
No | high |
|
sync_to_projects |
boolean|null | No | true |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
object | |
data.card |
string | |
data.projects_updated |
integer |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/update" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"id": 30,
"group_id": 16,
"title": "Connect your custom domain",
"description": "Updated instructions for domain connection.
",
"unique_identifier": "connect_custom_domain",
"evaluation_check": "has_domain_connected",
"tour_key": "domain_setup_tour_v2",
"short_description": "Link your own domain name",
"status": "in_progress",
"is_active": true,
"priority": "high",
"sync_to_projects": true
}'
fetch('https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/update', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"id": 30,
"group_id": 16,
"title": "Connect your custom domain",
"description": "Updated instructions for domain connection.
",
"unique_identifier": "connect_custom_domain",
"evaluation_check": "has_domain_connected",
"tour_key": "domain_setup_tour_v2",
"short_description": "Link your own domain name",
"status": "in_progress",
"is_active": true,
"priority": "high",
"sync_to_projects": true
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/update', {
"id": 30,
"group_id": 16,
"title": "Connect your custom domain",
"description": "Updated instructions for domain connection.
",
"unique_identifier": "connect_custom_domain",
"evaluation_check": "has_domain_connected",
"tour_key": "domain_setup_tour_v2",
"short_description": "Link your own domain name",
"status": "in_progress",
"is_active": true,
"priority": "high",
"sync_to_projects": true
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"id": 30,
"group_id": 16,
"title": "Connect your custom domain",
"description": "Updated instructions for domain connection.
",
"unique_identifier": "connect_custom_domain",
"evaluation_check": "has_domain_connected",
"tour_key": "domain_setup_tour_v2",
"short_description": "Link your own domain name",
"status": "in_progress",
"is_active": true,
"priority": "high",
"sync_to_projects": true
}
r = requests.post("https://api.wemasy.nl/api/services/operations/v1/admin/master-cards/update", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": {
"card": "string",
"projects_updated": 0
}
}